DRM_MM_INSERT_NODE(9)

NAME
drm_mm_insert_node - search for space and insert node

SYNOPSIS

int drm_mm_insert_node(struct drm_mm * mm, struct drm_mm_node * node, unsigned long size, unsigned alignment, enum drm_mm_search_flags flags);

ARGUMENTS

mm
    drm_mm to allocate from

node
    preallocate node to insert

size
    size of the allocation

alignment
    alignment of the allocation

flags
    flags to fine-tune the allocation

DESCRIPTION

This is a simplified version of drm_mm_insert_node_generic with color set to 0.

The preallocated node must be cleared to 0.

RETURNS

0 on success, -ENOSPC if there's no suitable hole.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT